最新

vdrめも

検索キーワード:
[PR]:「Chef活用ガイド コードではじめる構成管理 (大型本), (Kindle版)」発売中です。


2017-12-01(金) さて… [長年日記]

_ [debian] 続々・ruby-nenv 0.3.0-1 UNRELEASED

ruby-celluloid-{essentials,extras,fsm,pool,supervision} のソース見てみたけど nenv に依存してないっぽい。どうやらこれらはもともとの ruby-celluloid から分岐したときの消し忘れ? でもやっぱりアップロードは躊躇。確認取るかな。

_ [movie] スター・ウォーズ エピソードV/帝国の逆襲, 探偵はBARにいる

スター・ウォーズ エピソードV/帝国の逆襲 [Blu-ray] 探偵はBARにいる 通常版 [Blu-ray]


2017-12-02(土) さて? [長年日記]

_ [debian] debian/watch

gem を見てるやつは spec とかが抜けてることが多いので、github を見るようにしたほうがいいんだろうか?


2017-12-03(日) 遠征1日目 [長年日記]

_ [debian] uim 1:1.8.6+gh20161003.0.d63dadd-8 MIGRATED to testing

anthy が testing 入りしたので、ついに uim も testing 入りした。



2017-12-05(火) 遠征3日目 [長年日記]

_ [debian] ruby-mechanize 2.7.5-2

いろいろ芋蔓で消されそうになっていたので #882608 を修正した。

_ [debian] ruby-nenv 0.3.0-1

問題なさそう なのでアップロードした。

_ [debian] ruby-listen 3.1.5-1

これも 問題なさそう なのでアップロードした。

_ [debian] ruby-mercenary 0.3.6-1

アップロード。

_ [debian] ruby-jekyll-sass-converter 1.5.1-1

アップロード。

_ [movie] シャドー・チェイサー, バックドラフト

シャドー・チェイサー Blu-ray バックドラフト [Blu-ray]


2017-12-06(水) 遠征4日目 [長年日記]

_ [debian] fcitx-skk 0.1.4-0.1

Qt5 対応版をアップロード。> #874879

_ [debian] libanthyinput0: fails to upgrade from 'sid'

もう問題なさそうなのでクローズ。> #789927


2017-12-07(木) 遠征5日目 [長年日記]

_ [movie] サブウェイ123 激突

サブウェイ123 激突 [Blu-ray]



2017-12-09(土) 遠征7日目 [長年日記]

_ [movie] マン・オブ・スティール, K-9:はみだしコンビ大復活!

マン・オブ・スティール [Blu-ray] K-9:はみだしコンビ大復活! [DVD]




2017-12-12(火) ん? [長年日記]

_ [debian] strongswan 変?

charon: 05[KNL] creating acquire job for policy XXX.XXX.XXX.XXX/32[udp/l2f] === AAA.AAA.AAA.AAA/32[udp/l2f] with reqid {1}
charon: 05[CFG] trap not found, unable to acquire reqid 1
xl2tpd[xxxxx]: Disconnecting from AAA.AAA.AAA.AAA, Local: BBBBB, Remote: 0
xl2tpd[xxxxx]: Connection 0 closed to AAA.AAA.AAA.AAA, port CCCCC (Goodbye!)

となって接続できなくなった。strongswan 5.6.1-2 に上げたせいかなと思って 5.6.0-1 に戻したけど変わらず。何が問題だろう?


2017-12-13(水) これか [長年日記]

_ [debian] kernel 4.14 変

もしやと思って kernel 4.13 に戻してみたところ問題なくつながったので、 strongswan の問題ではなく kernel 4.14 が怪しい。ということで探してみると、

既に把握されているようだ。しばらく 4.13 を使ってしのぐか。


2017-12-14(木) なるほど [長年日記]

_ [debian] grub2 submenu

kernel 4.13 を使う件で、起動時にデフォルトの 4.14 からサブメニューの 4.13 を選択するのがめんどくさいのでどうにかならないか調べてみた。

menuentry 'Debian GNU/Linux' 
submenu 'Advanced options for Debian GNU/Linux'
	menuentry 'Debian GNU/Linux, with Linux 4.14.0-1-amd64' 
	menuentry 'Debian GNU/Linux, with Linux 4.14.0-1-amd64 (recovery mode)' 
	menuentry 'Debian GNU/Linux, with Linux 4.13.0-1-amd64' 
	menuentry 'Debian GNU/Linux, with Linux 4.13.0-1-amd64 (recovery mode)' 
menuentry "Memory test (memtest86+)"

単純な menuentry の選択なら /etc/default/grub の GRUB_DEFAULT で指定できるけど submenu は指定できるんだろうか? 調べてみると、 ">" で階層を指定できるようだ。

というわけで GRUB_DEFAULT="1>2" と指定することでサブメニューの 4.13 の自動選択を実現できた。



2017-12-16(土) 最終目的 [長年日記]

_ [debian] ruby-guard-shell 0.7.1-1

uploaded.


2017-12-17(日) 準備 [長年日記]

_ [debian] ruby-cairo 1.15.11-1

uploaded.


2017-12-18(月) 遠征1日目 [長年日記]

_ [movie] トレマーズ ブラッドライン, グリーンマイル

トレマーズ ブラッドライン [Blu-ray] グリーンマイル [Blu-ray]


2017-12-19(火) 遠征2日目 [長年日記]

_ [debian] 続・ruby-guard-shell 0.7.1-1

ACCEPTED.

_ [movie] スコーピオン・キング4, フラットライナーズ

スコーピオン・キング 4 [Blu-ray] フラットライナーズ [Blu-ray]





2017-12-23(土) 何だ? [長年日記]

_ [debian] lxc 変?

autopkgtest がうまく動かない。

lxc-start: lxccontainer.c: wait_on_daemonized_start: 754 Received container state "ABORTING" instead of "RUNNING"
lxc-start: tools/lxc_start.c: main: 368 The container failed to start.
lxc-start: tools/lxc_start.c: main: 370 To get more details, run the container in foreground mode.
lxc-start: tools/lxc_start.c: main: 372 Additional information can be obtained by setting the --logfile and --logpriority options.

#880502 かな。

とりあえず /etc/lxc/default.conf に

lxc.aa_profile = unconfined

を追加したら解消した。


2017-12-24(日) 久々 [長年日記]

_ [debian] ruby-specinfra 2.73.0-1

uploaded.

_ [debian] w3m 0.5.3-35

久々に uploaded.


2017-12-25(月) あれ [長年日記]

_ [debian] 続・kernel 4.14 変

linux-image-4.14.0-2-amd64 4.14.7-1 が入ったけどまだ解決されてないようだ。というか 4.15-rc からバックポートされてないのかな。> Revert "xfrm: Fix stack-out-of-bounds read in xfrm_state_find."

_ [debian] 続々・system-wide PulseAudio

いつの間にか複数ユーザで同時発声ができなくなってた。

11.1-4 から 10.0-1+deb9u1 に戻しても状況が変わらないので別の問題っぽい。

調べてみると、

/usr/bin/pulseaudio --system --disallow-exit --disallow-module-loading=0 --daemonize --log-target=syslog --high-priority

以外に

/lib/systemd/systemd --user
 \_ /usr/bin/pulseaudio --daemonize=no

なんてものがいたので、

systemctl --user stop pulseaudio.service
systemctl --user stop pulseaudio.socket

としてみたところ、複数ユーザで同時発声できるようになった。

しかしいつから何をきっかけでこうなってたんだろ。


2017-12-26(火) 念のため [長年日記]

_ [debian] ruby-delayer-deferred 2.0.0-2

mikutter 3.6.0 のために unstable にアップロード。

_ [debian] mikutter 3.6.0+dfsg-1

3.6.0 になって twitter-text の 2.1.0 を要求してるけど、Debian では 1.14.7。rdeps を確認すると mikutter の他に

が依存している。ruby-twitter-text を上げちゃっていいかなと思ったけど ネームスペースの変更 があって単純に上げると多分動かなくなりそうで躊躇。

mikutter のほうを見てみると現時点では ネームスペースの変更追従 するだけでよいようなので、それを revert して動かしてみたら問題なさそうだったので、それでアップロードした。

この状況と ruby-twitter-text は mikutter 関係なしに上げていいと debian-ruby ML に一応連絡。> mikutter 3.6.0 requires ruby-twitter-text 2.1.0


2017-12-27(水) gitlab [長年日記]

_ [debian] salsa

salsa のユーザを有効にした。

pkg-ruby-extras はどうなるんだろ。> Migrating off alioth


2017-12-28(木) CE [長年日記]

_ [debian] docker-ce 17.12.0~ce-0~debian

この年末のタイミングで出た。


2017-12-29(金) 減らせた [長年日記]

_ [debian] ruby-gnome2 3.2.1-2

ruby-gtksourceview2 を drop。> #885674



2017-12-31(日) よいお年を [長年日記]

_ [movie] ザ・レイド

ザ・レイド Blu-ray


2017年
12月
1 2
3 4 5 6 7 8 9
10 11 12 13 14 15 16
17 18 19 20 21 22 23
24 25 26 27 28 29 30
31

[amd64 | audacious | comp | debian | gkrelluim | kip | misc | movie | research | rime | unicon | vdr | work | えふえふ]

書いてる人: dai

パッチ等(無保証)

GPG Fingerprint = 0B29 D88E 42E6 B765 B8D8 EA50 7839 619D D439 668E